| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
CTHM1176BasicsTest.cpp File Reference

Test THM1176 API: Type conversions and THM1176 classes. More...

`#include "gtest/gtest.h"`
`#include "THM1176TestUtilities.h"`
`#include "THM1176TypeConversions.h"`
Include dependency graph for CTHM1176BasicsTest.cpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CTHM1176BasicsTest
| Test THM1176 API: Type conversions and THM1176 classes. More...

## Functions
| TEST_F (CTHM1176BasicsTest, TestTHM1176Types)
| TEST_F (CTHM1176BasicsTest, CFluxList)
| TEST_F (CTHM1176BasicsTest, CUnitsList)
| TEST_F (CTHM1176BasicsTest, CDivisorList)
| TEST_F (CTHM1176BasicsTest, CErrorList)
| TEST_F (CTHM1176BasicsTest, sIdentifier)
| TEST_F (CTHM1176BasicsTest, sAveraging_uParm)
| TEST_F (CTHM1176BasicsTest, sAveraging_sBoundedParm)
| TEST_F (CTHM1176BasicsTest, sInputTrigger_uParm)
| TEST_F (CTHM1176BasicsTest, sInputTrigger_sBoundedParm)
| TEST_F (CTHM1176BasicsTest, sRange_uParm)
| TEST_F (CTHM1176BasicsTest, sRange_sBoundedParm)
| TEST_F (CTHM1176BasicsTest, sFile)
| TEST_F (CTHM1176BasicsTest, CAbsoluteTimestamp)
| TEST_F (CTHM1176BasicsTest, sArbitraryMeasurements)

## Detailed Description

Test THM1176 API: Type conversions and THM1176 classes.

Definition in file CTHM1176BasicsTest.cpp.

## Function Documentation

## ◆ TEST_F() [1/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | CAbsoluteTimestamp | )

Test
  Test CAbsoluteTimestamp class.

Definition at line 515 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [2/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | CDivisorList | )

Test
  Test CDivisorList class.

Definition at line 87 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [3/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | CErrorList | )

Test
  Test CErrorList class.

Definition at line 117 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [4/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | CFluxList | )

Test
  Test CFluxList class.

Definition at line 27 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [5/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | CUnitsList | )

Test
  Test CUnitsList class.

Definition at line 57 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [6/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sArbitraryMeasurements | )

Test
  Test sArbitraryMeasurements class.

Definition at line 571 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [7/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sAveraging_sBoundedParm | )

Test
  Test sAveraging<sBoundedParm> class.

Definition at line 257 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [8/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sAveraging_uParm | )

Test
  Test sAveraging<uParm> class.

Definition at line 234 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [9/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sFile | )

Test
  Test sFile class.

Definition at line 480 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [10/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sIdentifier | )

Test
  Test sIdentifier class.

Definition at line 151 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [11/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sInputTrigger_sBoundedParm | )

Test
  Test sInputTrigger<sBoundedParm> class.

Definition at line 333 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [12/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sInputTrigger_uParm | )

Test
  Test sInputTrigger<uParm> class.

Definition at line 298 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [13/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sRange_sBoundedParm | )

Test
  Test sRange<sBoundedParm> class.

Definition at line 433 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [14/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | sRange_uParm | )

Test
  Test sRange<uParm> class.

Definition at line 404 of file CTHM1176BasicsTest.cpp.

## ◆ TEST_F() [15/15]

TEST_F | ( | CTHM1176BasicsTest | ,
|  | TestTHM1176Types | )

Test
  Test the binary-to-integer conversion tests.

Definition at line 21 of file CTHM1176BasicsTest.cpp.